# Method: accounts.promotions.list

- [HTTP request](https://developers.google.com/merchant/api/reference/rest/promotions_v1/accounts.promotions/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/promotions_v1/accounts.promotions/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/merchant/api/reference/rest/promotions_v1/accounts.promotions/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/promotions_v1/accounts.promotions/list#body.request_body)
- [Response body](https://developers.google.com/merchant/api/reference/rest/promotions_v1/accounts.promotions/list#body.response_body)
  - [JSON representation](https://developers.google.com/merchant/api/reference/rest/promotions_v1/accounts.promotions/list#body.ListPromotionsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/promotions_v1/accounts.promotions/list#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/promotions_v1/accounts.promotions/list#try-it)

Lists the promotions in your Merchant Center account. The response might contain fewer items than specified by `pageSize`. Rely on `pageToken` to determine if there are more items to be requested.

After inserting or updating a promotion, it may take several minutes before the updated processed promotion can be retrieved.

### HTTP request

`GET https://merchantapi.googleapis.com/promotions/v1/{parent=accounts/*}/promotions`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The account to list processed promotions for. Format: `accounts/{account}` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of promotions to return. The service may return fewer than this value. The maximum value is 250; values above 250 will be coerced to 250. If unspecified, the maximum number of promotions will be returned. |
| `pageToken` | `string` Optional. A page token, received from a previous `promotions.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `promotions.list` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response message for the `promotions.list` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "promotions": [ { object (`https://developers.google.com/merchant/api/reference/rest/promotions_v1/accounts.promotions#Promotion`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `promotions[]` | ``object (`https://developers.google.com/merchant/api/reference/rest/promotions_v1/accounts.promotions#Promotion`)`` The processed promotions from the specified account. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).